ODBC standard version support

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

ODBC standard version support

Steve Boyd
Can anyone tell me what version of the ODBC standard the Firebird ODBC driver supports?  I am running into problems trying to use Firebird ODBC (2.0.150) with Open Office 3.3, which claims to only support version 3 of ODBC.



------------------------------------------------------------------------------
What You Don't Know About Data Connectivity CAN Hurt You
This paper provides an overview of data connectivity, details
its effect on application quality, and explores various alternative
solutions. http://p.sf.net/sfu/progress-d2d
_______________________________________________
Firebird-odbc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/firebird-odbc-devel
Reply | Threaded
Open this post in threaded view
|

Re: ODBC standard version support

Alexander Potapchenko-2
On 07.03.2011 16:43, Stephen Boyd wrote:
> Can anyone tell me what version of the ODBC standard the Firebird ODBC driver supports?  I am running into problems trying to use Firebird ODBC (2.0.150) with Open Office 3.3, which claims to only support version 3 of ODBC.
>
Firebird ODBC driver supports ODBC standard 3.
I have tried to use Open Office 3.3 and I have problem with select from
table - "Fetch type out of range". It is a problem in Open Office.
You can look at SQLFetchScroll function description -
http://msdn.microsoft.com/en-us/library/ms714682%28v=vs.85%29.aspx. The
value of the SQL_ATTR_CURSOR_TYPE statement attribute was
SQL_CURSOR_FORWARD_ONLY, and the value of argument FetchOrientation was
not SQL_FETCH_NEXT.
Open Office 3.3 uses SQL_CURSOR_FORWARD_ONLY and SQL_FETCH_FIRST
simultaneously.
It is necessary to wait for the new version of Open Office.

Regards,
Alexander
--
Alexander Potapchenko
Lead developer
LASP technology, http://www.lasptech.ru

------------------------------------------------------------------------------
What You Don't Know About Data Connectivity CAN Hurt You
This paper provides an overview of data connectivity, details
its effect on application quality, and explores various alternative
solutions. http://p.sf.net/sfu/progress-d2d
_______________________________________________
Firebird-odbc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/firebird-odbc-devel
Reply | Threaded
Open this post in threaded view
|

Re: ODBC standard version support

Alexander Potapchenko-2
On 07.03.2011 17:50, Alexander Potapchenko wrote:

> On 07.03.2011 16:43, Stephen Boyd wrote:
>> Can anyone tell me what version of the ODBC standard the Firebird
>> ODBC driver supports?  I am running into problems trying to use
>> Firebird ODBC (2.0.150) with Open Office 3.3, which claims to only
>> support version 3 of ODBC.
>>
> I have tried to use Open Office 3.3 and I have problem with select
> from table - "Fetch type out of range". It is a problem in Open Office.
> You can look at SQLFetchScroll function description -
> http://msdn.microsoft.com/en-us/library/ms714682%28v=vs.85%29.aspx.
> The value of the SQL_ATTR_CURSOR_TYPE statement attribute was
> SQL_CURSOR_FORWARD_ONLY, and the value of argument FetchOrientation
> was not SQL_FETCH_NEXT.
> Open Office 3.3 uses SQL_CURSOR_FORWARD_ONLY and SQL_FETCH_FIRST
> simultaneously.
>
After the additional analysis of the driver source code I have found
wrong and implicit type conversion of the cursor (conversion to type
SQL_CURSOR_FORWARD_ONLY). Please create issue in the bug tracker -
http://tracker.firebirdsql.org/browse/ODBC about your problems with the
driver in the Open Office.

Regards,
Alexander

--
Alexander Potapchenko
Lead developer
LASP technology, http://www.lasptech.ru

------------------------------------------------------------------------------
What You Don't Know About Data Connectivity CAN Hurt You
This paper provides an overview of data connectivity, details
its effect on application quality, and explores various alternative
solutions. http://p.sf.net/sfu/progress-d2d
_______________________________________________
Firebird-odbc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/firebird-odbc-devel
Reply | Threaded
Open this post in threaded view
|

Re: ODBC standard version support

Steve Boyd
Done.  ODBC-115.


Alexander Potapchenko wrote:
On 07.03.2011 17:50, Alexander Potapchenko wrote:
  
On 07.03.2011 16:43, Stephen Boyd wrote:
    
Can anyone tell me what version of the ODBC standard the Firebird 
ODBC driver supports?  I am running into problems trying to use 
Firebird ODBC (2.0.150) with Open Office 3.3, which claims to only 
support version 3 of ODBC.

      
I have tried to use Open Office 3.3 and I have problem with select 
from table - "Fetch type out of range". It is a problem in Open Office.
You can look at SQLFetchScroll function description - 
http://msdn.microsoft.com/en-us/library/ms714682%28v=vs.85%29.aspx. 
The value of the SQL_ATTR_CURSOR_TYPE statement attribute was 
SQL_CURSOR_FORWARD_ONLY, and the value of argument FetchOrientation 
was not SQL_FETCH_NEXT.
Open Office 3.3 uses SQL_CURSOR_FORWARD_ONLY and SQL_FETCH_FIRST 
simultaneously.

    
After the additional analysis of the driver source code I have found 
wrong and implicit type conversion of the cursor (conversion to type 
SQL_CURSOR_FORWARD_ONLY). Please create issue in the bug tracker - 
http://tracker.firebirdsql.org/browse/ODBC about your problems with the 
driver in the Open Office.

Regards,
Alexander

  

------------------------------------------------------------------------------
What You Don't Know About Data Connectivity CAN Hurt You
This paper provides an overview of data connectivity, details
its effect on application quality, and explores various alternative
solutions. http://p.sf.net/sfu/progress-d2d
_______________________________________________
Firebird-odbc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/firebird-odbc-devel